D=$1
echo $D
HH=`sed -rn '1{s/.* 0*([0-2]*[0-9]):([0-9]{2}):([0-9]{2}) .*/\1/p}' $D.txt`
MM=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\2/p}' $D.txt`
SS=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\3/p}' $D.txt`

echo $HH:$MM:$SS

for F in night_mpw.gnp night.gnp night_ms.gnp night_m.gnp
do
 if (( $HH \> 11 ))
  then
   sed -r "s/^V =.*/V = $HH*3600 + $MM*60 + $SS/" $F > ${F}.gn
 else
   sed -r "s/^V =.*/V = ($HH+24)*3600 + $MM*60 + $SS/" $F > ${F}.gn
 fi
 sed -r "
   /night.txt/{i\
 '$1.txt' using (\$1 +V) : (f( log10(\$2)+3.0, \$3)-2 ) \\\\\\
   title '' with lines 4, \\\\
  }" ${F}.gn >${F}.gn2
 mv ${F}.gn2 $F
done
